
Foreman - Bug #3391

Unable to spoof templates as non-admin

10/21/2013 04:18 PM - Max San

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Foreman 1.3.0 it is not possible to spoof templates as non-admin users. It will just show a standard "We're sorry, but something

went wrong." error message and throw exception in the log. Even with all ACL turned on the template will not be visible but as soon

as you assign the user admin access the template can be spoofed. Log file attached.

Related issues:

Is duplicate of Foreman - Bug #2892: unattended spoof mode only work for an a... Resolved 08/07/2013

History

#1 - 10/21/2013 04:23 PM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 10/22/2013 08:22 AM - Lukas Zapletal

Reproduced.

#3 - 10/22/2013 09:11 AM - Lukas Zapletal

Hmmm I am not sure why we call authorize method even when it is not supposed to be called:

  FILTERS.each do |f|

    define_method("#{f}_with_unattended") do

      send("#{f}_without_unattended") if params.keys.include?("spoof")

    end

    alias_method_chain f, :unattended

  end

#4 - 11/01/2013 10:47 AM - Dominic Cleal

- Is duplicate of Bug #2892: unattended spoof mode only work for an administrator added

#5 - 11/01/2013 10:47 AM - Dominic Cleal

- Status changed from New to Duplicate

Files

foreman-spoof-template-log.txt 16.5 KB 10/21/2013 Max San
